%define upstream_name	 XML-AutoWriter
%define upstream_version 0.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module to do DOCTYPE based XML output
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
# rt#76225 - remove obsolete module::install keyword
Patch0:     XML-AutoWriter-0.4-fix_module_install_obsolete_keyword.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
This module subclasses XML::ValidWriter and provides automatic start and end 
tag generation, allowing you to emit only the 'important' tags.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .modinst
chmod -x $(find -type f)
sed -i 's/\r//' CHANGES

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check 
make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml MYMETA.yml
%{_mandir}/*/*
%{perl_vendorlib}/XML/


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-3.mga3
+ Revision: 374955
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.400.0-2.mga3
+ Revision: 326945
- remove obsolete module::install keyword (rt#76225)

* Thu Jan 20 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 27254
- mageia rebuild
- imported package perl-XML-AutoWriter

